Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.endpoint
Class ConfigurableTransportFactory

    java.lang.Object
      org.mule.transport.service.TransportFactory
          org.mule.config.endpoint.ConfigurableTransportFactory

    public class ConfigurableTransportFactory

extends TransportFactory

TODO

Field Summary
`static String` | `CHANNEL_OVERRIDES`
`static String` | `CHANNEL_OVERRIDES_FILE`
`static String` | `SINGLETON_PROPERTY`
`static String` | `TRUE`

Fields inherited from class org.mule.transport.service.TransportFactory
`logger, muleContext`

Constructor Summary
`ConfigurableTransportFactory(MuleContext muleContext)`

Method Summary
`Connector` | `createConnector(EndpointURI endpointURI)` Creates an uninitialied connector from the provided MuleEndpointURI.
`protected Properties` | `loadOverrides()`

Methods inherited from class org.mule.transport.service.TransportFactory
`createConnector, getConnectorByProtocol, getOrCreateConnectorByProtocol, getOrCreateConnectorByProtocol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANNEL_OVERRIDES

    public static final String CHANNEL_OVERRIDES

See Also:
  Constant Field Values

### CHANNEL_OVERRIDES_FILE

    public static final String CHANNEL_OVERRIDES_FILE

See Also:
  Constant Field Values

### SINGLETON_PROPERTY

    public static final String SINGLETON_PROPERTY

See Also:
  Constant Field Values

### TRUE

    public static final String TRUE

See Also:
  Constant Field Values

Constructor Detail

### ConfigurableTransportFactory

    public ConfigurableTransportFactory(MuleContext muleContext)
                                 throws MuleException

Throws:
  `MuleException`

Method Detail

### createConnector

    public Connector createConnector(EndpointURI endpointURI)
                              throws TransportFactoryException

  Description copied from class: `TransportFactory`
  Creates an uninitialied connector from the provided MuleEndpointURI. The scheme is used to determine what kind of connector to create. Any params set on the uri can be used to initialise bean properties on the created connector.

  Note that the initalise method will need to be called on the connector returned. This is so that developers can control when the connector initialisation takes place as this is likely to initialse all connecotr resources.

  Overrides:
    `createConnector` in class `TransportFactory`
  Parameters:
    `endpointURI` - the MuleEndpointURI url to create the connector with
  Returns:
    a new Connector
  Throws:
    `TransportFactoryException`

### loadOverrides

    protected Properties loadOverrides()
                                throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.